#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http3
version:              0.0.0
visibility:           public
id:                   http3-0.0.0-LMRuQwysM3uADYZjEtiAyK
key:                  http3-0.0.0-LMRuQwysM3uADYZjEtiAyK
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
homepage:             https://github.com/kazu-yamamoto/http3
synopsis:             HTTP/3 library
description:          HTTP/3 library including frames, QPACK, client and server.
category:             Network
abi:                  c27b52f62394c72c09376815bc79179b
exposed:              True
exposed-modules:
    Network.HQ.Client Network.HQ.Server Network.HTTP3.Client
    Network.HTTP3.Internal Network.HTTP3.Server Network.QPACK
    Network.QPACK.Internal

hidden-modules:
    Imports Network.HTTP3.Config Network.HTTP3.Context
    Network.HTTP3.Control Network.HTTP3.Error Network.HTTP3.Frame
    Network.HTTP3.Recv Network.HTTP3.Send Network.HTTP3.Settings
    Network.HTTP3.Stream Network.QPACK.Error Network.QPACK.HeaderBlock
    Network.QPACK.HeaderBlock.Decode Network.QPACK.HeaderBlock.Encode
    Network.QPACK.HeaderBlock.Prefix Network.QPACK.Instruction
    Network.QPACK.Table Network.QPACK.Table.Dynamic
    Network.QPACK.Table.RevIndex Network.QPACK.Table.Static
    Network.QPACK.Token Network.QPACK.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/http3-0.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/http3-0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http3
hs-libraries:         HShttp3-0.0.0-LMRuQwysM3uADYZjEtiAyK
depends:
    array-0.5.4.0 base-4.15.1.0 bytestring-0.10.12.1
    case-insensitive-1.2.1.0-5gUqUMqn4pGAGkd3zoiz3p containers-0.6.4.1
    http-types-0.12.3-9H7cT1HRdVV7ru98qbdR16
    http2-3.0.3-9aX1u56OzDpB3Tzh2qzz8N
    network-3.1.2.7-4IwojLtUbDr1AdkjdwrxwW
    network-byte-order-0.1.6-FL8VR1zPBp01hTYBCpmH8n
    quic-0.0.1-5K8nzC75nYuC4o0kgKhpWQ
    sockaddr-0.0.1-CV8cufOy5ss9sSSZwPm4p8 stm-2.5.0.0
    time-manager-0.0.0-I35dPmyF2qPCR4TxxjNtFo
    unliftio-0.2.23.0-FVOtVUsYUkV2lC8IHsRfVk

haddock-interfaces:   /usr/share/doc/haskell-http3/html/http3.haddock
haddock-html:         /usr/share/doc/haskell-http3/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

